On 02/08/2018 10:24 PM, John Paul Adrian Glaubitz wrote:
On 02/08/2018 10:22 PM, Frank Scheiner wrote:
Thanks, I tried this one this evening, but although the kernel modules are 
there now, the base installation fails due to a dependency problem of the 
vim-tiny
editor:
(...)> What can we do about that?


You can fix src:vim on hppa and sparc64:

https://buildd.debian.org/status/package.php?p=vim&suite=sid

Well, it looks like it got fixed by a rebuild with an updated toolchain or/and updated packages (compare [1] and [2] after:
```
+------------------------------------------------------------------------------+
| Build environment |
+------------------------------------------------------------------------------+
```
).

[1]: https://buildd.debian.org/status/fetch.php?pkg=vim&arch=sparc64&ver=2%3A8.0.1453-1&stamp=1518005728&raw=0

[2]: https://buildd.debian.org/status/fetch.php?pkg=vim&arch=sparc64&ver=2%3A8.0.1453-1&stamp=1518126708&raw=0

I assume a rebuild of the ISO is still required, because the packages for the base install are included on the ISO, right?

****

For hppa I don't know if changing `bwipe` to `bwipe!` (on [3]) would make the failing test "Test_terminal_special_chars" ("Caught exception in Test_terminal_special_chars(): Vim(bwipeout):E89: No write since last change for buffer 44 (add ! to override) @ function RunTheTest[38]..Test_terminal_special_chars, line 13" from [4]) succeed. At least the test before it ends with `bwipe!`. But on the other hand if it succeeds as is on most other arches, why should we change it on hppa?

[3]: https://github.com/vim/vim/blob/218101442e8775bd1f05d1dda18d3946ee032dd1/src/testdir/test_terminal.vim#L620

[4]: https://buildd.debian.org/status/fetch.php?pkg=vim&arch=hppa&ver=2%3A8.0.1453-1&stamp=1518031946&raw=0

Reply via email to